Spigot Xen's Trading Cards 5.0.4

Highly configurable 'trading card' mob drops! Collecting & trading fun for ANY server!

  1. I'm surprised this is still used. I stopped making plugins quite a while ago!

    I might come back to it soon, who knows ;)
     
    • Like Like x 1
  2. I created 600 pokémon card with ur plugins, my players love collection. Just the deck not work with new spigot version, if it can motivate you to add new feature, u should sell ur plugin, im pretty sure a lot of people will buy it.

    Thanks very much and sry for my bad english.
     
  3. one of my players favorites, yes please update!
     
    • Like Like x 1
  4. If you can update it and add new things, then that will be great!
     
  5. You would be surprised on how many servers still use this plugin. I actually use it as a unique drop plugin where players get motifs for items they can get if they turn the drop in to a admin or someone. XD
     
  6. I hope you do come back and make more... we need more creative types like you. As far as this plug in, it seems to work great on 1.10. The only problem I have is that my players can't open up some of their decks. But by what I have been reading, it may be because they stuck something else in it besides the cards.
    Thanks for such a great addon.
     
  7. If I remember correctly, the plugin is set to drop any items you put in the decks which aren't cards, but spigot for some reason deletes them..

    I may not be able to update it, but in case I do, can you give me more details - for example, what happens if you try to open your deck and it doesn't work, what shows in the console etc
     
  8. ok. I will get with my players and find out as much info as I can. Thank you for replying.
     
  9. Omg you updated this yes!

    You should make this a crazy plugin with like stats and stuff within the cards xDD

    Like Pokemon card stuff LOL
     
  10. Haha yeah I lost the original source so I had to decompile it and rewrite a bit of it so it'd work again.. always back up your code xD
     
  11. Yes you're back! I am very happy to see you back @Xenoyia :) If you need a german translation, just hit me a pm. Other than that, keep at it!
     
  12. Thank u very much for the update man i love you, do we need to remove our old config ?
     
  13. Nah, I wouldn't think so. However, if you don't want it to drop items you need to add the new line to the config:

    //true means it will drop items, false means it will delete items
    Drop-Deck-Items: true

    If not it will default to true. Just put it at the bottom of the first General section.
     
    • Like Like x 1
  14. Thank you! this fixes everything!
     
    • Friendly Friendly x 1
  15. you'r new version not work for me with minecraft 1.9.4 :(

    Code (Text):
    8.07 01:18:23 [Server] ERROR Could not load 'plugins/xPTradingCards-3.0.jar' in folder 'plugins'
    28.07 01:18:23 [Server] INFO Set PluginClassLoader as parallel capable
    28.07 01:18:23 [Server] INFO ... 5 more
    28.07 01:18:23 [Server] INFO at org.bukkit.plugin.java.JavaPluginLoader.getPluginDescription(JavaPluginLoader.java:148) ~[patched_1.9.4.jar:git-Paper-773]
    28.07 01:18:23 [Server] INFO at java.util.jar.JarFile.<init>(Unknown Source) ~[?:1.8.0_05]
    28.07 01:18:23 [Server] INFO at java.util.jar.JarFile.<init>(Unknown Source) ~[?:1.8.0_05]
    28.07 01:18:23 [Server] INFO at java.util.zip.ZipFile.<init>(Unknown Source) ~[?:1.8.0_05]
    28.07 01:18:23 [Server] INFO at java.util.zip.ZipFile.<init>(Unknown Source) ~[?:1.8.0_05]
    28.07 01:18:23 [Server] INFO at java.util.zip.ZipFile.open(Native Method) ~[?:1.8.0_05]
    28.07 01:18:23 [Server] INFO Caused by: java.util.zip.ZipException: error in opening zip file
    28.07 01:18:23 [Server] INFO at java.lang.Thread.run(Unknown Source) [?:1.8.0_05]
    28.07 01:18:23 [Server] INFO at net.minecraft.server.v1_9_R2.MinecraftServer.run(MinecraftServer.java:573) [patched_1.9.4.jar:git-Paper-773]
    28.07 01:18:23 [Server] INFO at net.minecraft.server.v1_9_R2.DedicatedServer.init(DedicatedServer.java:204) [patched_1.9.4.jar:git-Paper-773]
    28.07 01:18:23 [Server] INFO at org.bukkit.craftbukkit.v1_9_R2.CraftServer.loadPlugins(CraftServer.java:292) [patched_1.9.4.jar:git-Paper-773]
    28.07 01:18:23 [Server] INFO at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:136) [patched_1.9.4.jar:git-Paper-773]
    28.07 01:18:23 [Server] INFO at org.bukkit.plugin.java.JavaPluginLoader.getPluginDescription(JavaPluginLoader.java:160) ~[patched_1.9.4.jar:git-Paper-773]
    28.07 01:18:23 [Server] INFO org.bukkit.plugin.InvalidDescriptionException: Invalid plugin.yml
     
     
  16. Code (Text):
    28.07 01:20:48 [Server] INFO ... 6 more
    28.07 01:20:48 [Server] INFO at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:129) ~[patched_1.9.4.jar:git-Paper-773]
    28.07 01:20:48 [Server] INFO at org.bukkit.plugin.java.PluginClassLoader.<init>(PluginClassLoader.java:77) ~[patched_1.9.4.jar:git-Paper-773]
    28.07 01:20:48 [Server] INFO at java.lang.Class.newInstance(Unknown Source) ~[?:1.8.0_05]
    28.07 01:20:48 [Server] INFO at java.lang.reflect.Constructor.newInstance(Unknown Source) ~[?:1.8.0_05]
    28.07 01:20:48 [Server] INFO at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(Unknown Source) ~[?:1.8.0_05]
    28.07 01:20:48 [Server] INFO at sun.reflect.NativeConstructorAccessorImpl.newInstance(Unknown Source) ~[?:1.8.0_05]
    28.07 01:20:48 [Server] INFO at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method) ~[?:1.8.0_05]
    28.07 01:20:48 [Server] INFO at com.xpgaming.tradingcards.TradingCards.<init>(TradingCards.java:66) ~[?:?]
    28.07 01:20:48 [Server] INFO Caused by: java.lang.NoSuchFieldError: POLAR_BEAR
    28.07 01:20:48 [Server] INFO at java.lang.Thread.run(Unknown Source) [?:1.8.0_05]
    28.07 01:20:48 [Server] INFO at net.minecraft.server.v1_9_R2.MinecraftServer.run(MinecraftServer.java:573) [patched_1.9.4.jar:git-Paper-773]
    28.07 01:20:48 [Server] INFO at net.minecraft.server.v1_9_R2.DedicatedServer.init(DedicatedServer.java:204) [patched_1.9.4.jar:git-Paper-773]
    28.07 01:20:48 [Server] INFO at org.bukkit.craftbukkit.v1_9_R2.CraftServer.loadPlugins(CraftServer.java:292) [patched_1.9.4.jar:git-Paper-773]
    28.07 01:20:48 [Server] INFO at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:254) [patched_1.9.4.jar:git-Paper-773]
    28.07 01:20:48 [Server] INFO at org.bukkit.plugin.SimplePluginManager.loadPlugin(SimplePluginManager.java:331) ~[patched_1.9.4.jar:git-Paper-773]
    28.07 01:20:48 [Server] INFO at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:133) ~[patched_1.9.4.jar:git-Paper-773]
    28.07 01:20:48 [Server] INFO org.bukkit.plugin.InvalidPluginException: java.lang.NoSuchFieldError: POLAR_BEAR
     
  17. There's your issue. The plugin is likely meant for 1.10 only, as polar bears were only added then. Not sure if there's a trick to work around that.
     
  18. In the update page he writed 'updated for 1.9 and 1.10'